> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getUserTask

> 
The `getUserTask` API retrieves pending tasks and setup requirements for a specific user.

### What it does:

- Returns pending tasks with descriptions for user onboarding and setup
- Provides actionable task information to guide completion of user requirements

### Notes:

- Used to track individual user onboarding progress and identify incomplete steps
- Incomplete steps (verification and missing direct deposit account) prevent an employee from moving on from the onboarding process



## OpenAPI

````yaml get /reports/getUserTask
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getUserTask:
    get:
      tags: []
      summary: getUserTask
      description: >-

        The `getUserTask` API retrieves pending tasks and setup requirements for
        a specific user.


        ### What it does:


        - Returns pending tasks with descriptions for user onboarding and setup

        - Provides actionable task information to guide completion of user
        requirements


        ### Notes:


        - Used to track individual user onboarding progress and identify
        incomplete steps

        - Incomplete steps (verification and missing direct deposit account)
        prevent an employee from moving on from the onboarding process
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                userId:
                  type: string
              required:
                - method
                - userId
            example:
              method: getUserTask
              userId: D32D7451-FE6C-44D3-8DDB-E6442A15884E
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  task:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        description:
                          type: string
                      required:
                        - type
                        - description
                required:
                  - task
              examples:
                '1':
                  summary: Success
                  value:
                    task:
                      - type: KYC Verification
                        description: >-
                          Your KYC status is pending. Please wait for the
                          process to complete or contact support for more
                          information.
                      - type: Link Direct Deposit Account
                        description: Connect your direct deposit account
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Invalid userId
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid userId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````